Bug 250156 - databases/mongodb40: Update to 4.0.21 (mongodb40-tools also)
Summary: databases/mongodb40: Update to 4.0.21 (mongodb40-tools also)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mikael Urankar
URL: https://docs.mongodb.com/manual/relea...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-10-06 09:43 UTC by Ronald Klop
Modified: 2020-12-01 17:49 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (dev.ashevchuk)


Attachments
trivial version bump (svn diff) (2.80 KB, patch)
2020-10-06 09:43 UTC, Ronald Klop
no flags Details | Diff
update of version (svn diff) (4.60 KB, patch)
2020-11-15 19:47 UTC, Ronald Klop
no flags Details | Diff
svn diff in ports/databases (4.36 KB, patch)
2020-11-30 10:34 UTC, Ronald Klop
ronald-lists: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2020-10-06 09:43:16 UTC
Created attachment 218554 [details]
trivial version bump (svn diff)

- Pretty trivial version update.
- Point www to manual of 4.0.
- Update CONFLICTS_INSTALL. (I don't see how -tools conflicted with mongodb.)
- portlint: ok
- build on 12/aarch64
Comment 1 Ronald Klop 2020-11-15 19:47:05 UTC
Created attachment 219713 [details]
update of version (svn diff)
Comment 2 Ronald Klop 2020-11-30 10:34:16 UTC
Created attachment 220100 [details]
svn diff in ports/databases

New patch which applies cleanly with the recently bug #249598 applied also.
- Added a conflict with mongodb44 too.
Comment 3 commit-hook freebsd_committer 2020-12-01 17:37:47 UTC
A commit references this bug:

Author: mikael
Date: Tue Dec  1 17:37:21 UTC 2020
New revision: 556769
URL: https://svnweb.freebsd.org/changeset/ports/556769

Log:
  databases/mongodb40: Update to 4.0.21 (mongodb40-tools also)

    - Pretty trivial version update.
    - Point www to manual of 4.0.
    - Update CONFLICTS_INSTALL. (I don't see how -tools conflicted with mongodb.)

  Changelog:
   https://docs.mongodb.com/manual/release-notes/4.0/#aug-21-2020
   https://docs.mongodb.com/manual/release-notes/4.0/#nov-10-2020

  PR:		250156
  Submitted by:	Ronald Klop (maintainer)
  Approved by:	dev.ashevchuk@gmail.com (maintainer timeout)

Changes:
  head/databases/mongodb40/Makefile
  head/databases/mongodb40/distinfo
  head/databases/mongodb40/files/patch-asio-libc++7
  head/databases/mongodb40/pkg-descr
Comment 4 Mikael Urankar freebsd_committer 2020-12-01 17:49:41 UTC
+ ports r556772
Comment 5 Mikael Urankar freebsd_committer 2020-12-01 17:49:58 UTC
Thanks!